package simogl.model.animation;

import simogl.geometry.AbstractMesh;

/**
 * This class represents a single frame of a model's animation. 
 * @author Frank Bruns
 *
 */
public class AnimationFrame
{
	private long endTime = 0;
	private AbstractMesh mesh = null;
	
	public AnimationFrame(AbstractMesh mesh, long endTime)
	{
		this.endTime = endTime;
		this.mesh = mesh;
	}
	
	/**
	 * Return the mesh that is the a frame of an animation
	 * @return mesh for animation frame
	 */
	public synchronized AbstractMesh getMesh()
	{
		return this.mesh;
	}
	
	/**
	 * Returns the time, when this frame ends and therefore should be
	 * skipped in the animation
	 * @return end time of this frame in the animation
	 */
	public double getEndTime()
	{
		return this.endTime;
	}
}
